Package org.eclipse.jdt.ui.dialogs

# Class TypeSelectionExtension

java.lang.Object
org.eclipse.jdt.ui.dialogs.TypeSelectionExtension

public abstract class TypeSelectionExtension extends Object
The class provides API to extend type selection dialogs like the open type dialog.

The class should be subclassed by clients wishing to extend the type selection dialog.

Since:
  3.2
See Also:
  - `JavaUI.createTypeDialog(org.eclipse.swt.widgets.Shell, org.eclipse.jface.operation.IRunnableContext, org.eclipse.jdt.core.search.IJavaSearchScope, int, boolean, String, TypeSelectionExtension)`

## Constructor Summary

Constructors
Constructor
Description
`TypeSelectionExtension()`

## Method Summary

Modifier and Type
Method
Description
`Control`
`createContentArea(Composite parent)`
Creates the content area which the extensions contributes to the type selection dialog.
`ITypeInfoFilterExtension`
`getFilterExtension()`
Returns the filter extension or `null` if no additional filtering is required.
`ITypeInfoImageProvider`
`getImageProvider()`
Returns an image provider or `null` if the standard images should be used.
`ISelectionStatusValidator`
`getSelectionValidator()`
Returns the selection validator or `null` if selection validation is not required.
`final ITypeSelectionComponent`
`getTypeSelectionComponent()`
Returns the type selection dialog or `null` if the extension has not been initialized yet.
`final void`
`initialize(ITypeSelectionComponent component)`
Initializes the type dialog extension with the given type dialog

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeSelectionExtension

public TypeSelectionExtension()

## Method Details

### initialize

public final void initialize(ITypeSelectionComponent component)
Initializes the type dialog extension with the given type dialog

Parameters:
  `component` - the type dialog hosting this extension

### getTypeSelectionComponent

public final ITypeSelectionComponent getTypeSelectionComponent()
Returns the type selection dialog or `null` if the extension has not been initialized yet.

Returns:
  the type selection dialog or `null`

### createContentArea

public Control createContentArea(Composite parent)
Creates the content area which the extensions contributes to the type selection dialog. The area will be presented between the table showing the list of types and the optional status line.

Parameters:
  `parent` - the parent of the additional content area
Returns:
  the additional content area or `null` if no additional content area is required

### getFilterExtension

public ITypeInfoFilterExtension getFilterExtension()
Returns the filter extension or `null` if no additional filtering is required.

Returns:
  the additional filter extension

### getSelectionValidator

public ISelectionStatusValidator getSelectionValidator()
Returns the selection validator or `null` if selection validation is not required. The elements passed to the selection validator are of type `IType`.

Returns:
  the selection validator or `null`

### getImageProvider

public ITypeInfoImageProvider getImageProvider()
Returns an image provider or `null` if the standard images should be used.

Returns:
  the image provider